%def_disable static

Name: lzma-utils
%define origname lzma
Version: 4.32.5
%define origversion %version
Release: alt1

Summary: Tools for creating LZMA-compressed files
License: GPL
Group: Archiving/Compression
URL: http://tukaani.org/lzma/
Packager: Damir Shayhutdinov <damir@altlinux.ru>

Source: http://tukaani.org/lzma/%origname-%origversion.tar.gz
BuildRequires: gcc-c++

%description
Set of programs for compressing, and decompressing single file or stream
with LZMA compression.
They has very similar command line interface than what gzip and bzip2 have.
Includes following utilities:
* lzcat
* lzcmp
* lzdiff
* lzgrep
* lzless/lzmore
* lzma/unlzma
* lzmadec
* lzmainfo

%package -n liblzmadec
Summary: Library for decoding LZMA-compressed files and streams.
Group: System/Libraries

%description -n liblzmadec
Library for decoding LZMA-compressed files and streams.

%package -n liblzmadec-devel
Summary: Headers for liblzmadec
Group: Development/C
Requires: liblzmadec = %version-%release

%description -n liblzmadec-devel
Headers for building software that uses liblzmadec

%if_enabled static
%package -n liblzmadec-devel-static
Summary: Static libraries for liblzmadec
Group: Development/C
Requires: liblzmadec-devel = %version-%release

%description
Static liblzmadec library
%endif

%prep
%setup -q -n %origname-%origversion
sed -i s@AC_CHECK_DECLS_ONCE@AC_CHECK_DECLS@g m4/getopt.m4
%build
autoreconf -fisv -I m4
%add_optflags -Wno-non-virtual-dtor
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n liblzmadec -p %post_ldconfig
%postun -n liblzmadec -p %postun_ldconfig

%files
%exclude %_libdir/*.a
%doc AUTHORS README NEWS
%_bindir/*
%_man1dir/*

%files -n liblzmadec
%_libdir/*.so.*

%files -n liblzmadec-devel
%_libdir/*.so
%_includedir/*.h

%if_enabled static
%files -n liblzmadec-devel-static
%_libdir/*.a
%endif

%changelog
* Sun Jan 27 2008 Damir Shayhutdinov <damir@altlinux.ru> 4.32.5-alt1
- Updated to 4.32.5 stable release

* Wed Dec 12 2007 Damir Shayhutdinov <damir@altlinux.ru> 4.32.4-alt1
- Updated to 4.32.4 stable release

* Sun Dec 02 2007 Damir Shayhutdinov <damir@altlinux.ru> 4.32.3-alt1
- Updated to 4.32.3 stable release

* Thu Oct 11 2007 Damir Shayhutdinov <damir@altlinux.ru> 4.32.0-alt0.beta5
- Updated to 4.32.0beta5

* Wed Nov 15 2006 Damir Shayhutdinov <damir@altlinux.ru> 4.32.0-alt0.beta3
- Initial build for ALT Linux
- Link tools with dynamic liblzmadec instead of static.
